Find the answer to your Linux question:
Results 1 to 5 of 5
Hi all, Now I am using minimal packages with Slackware, I need to install X11 and xlogo which i can access ssh with -X, Please anyone help me needed(dependency) packages ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined! geethas's Avatar
    Join Date
    May 2008
    Posts
    33

    packages needed for X11


    Hi all,

    Now I am using minimal packages with Slackware, I need to install X11 and xlogo which i can access ssh with -X,

    Please anyone help me needed(dependency) packages for X11 applications

    Thanks
    Sg..

  2. #2
    Linux Engineer Freston's Avatar
    Join Date
    Mar 2007
    Location
    The Netherlands
    Posts
    1,049
    X11 is in the x/ packages directory which you can find on any Slackware mirror under

    $mirror/slackware12.1/slackware/x/
    For example. You may want to use a mirror closer to home.

    Note that X applications are under xap/, and kde is surprisingly under kde/
    Can't tell an OS by it's GUI

  3. #3
    Just Joined! geethas's Avatar
    Join Date
    May 2008
    Posts
    33
    Thanks for your response..

    I need the packages for xlogo, xeyes and xterm..

    Please help..

  4. #4
    Linux Engineer Freston's Avatar
    Join Date
    Mar 2007
    Location
    The Netherlands
    Posts
    1,049
    I guess you're in luck

    All of the apps you want are default in the x/ package directory.


    The surest thing for this to go right is to just install from the DVD, but to choose at least the a/ (critical system files and kernel) n/ (networking) and x/ (X11) package sets. And you may want to look at ap/ as well (it has the man pages, amongst other non-critical but very handy tools). And of course you wont regret installing from the f/ (huge amounts of howto's on very diverse subjects) directory.

    You could also build a custom install CD-ROM with only those packages you want/need.
    Can't tell an OS by it's GUI

  5. #5
    Just Joined! geethas's Avatar
    Join Date
    May 2008
    Posts
    33
    thanks for your response,,

    Here is the package list needed for Xlogo, xeyes and xterm

    fontconfig-2.4.2-i486-2
    libICE-1.0.4-i486-1
    libSM-1.0.3-i486-1
    libX11-1.1.4-i486-1
    libXau-1.0.3-i486-1
    libXaw-1.0.4-i486-1
    libXdmcp-1.0.2-i486-1
    libXext-1.0.4-i486-1
    libXft-2.1.12-i486-2
    libXmu-1.0.4-i486-1
    libXp-1.0.0-i486-1
    libXpm-3.5.7-i486-1
    libXprintUtil-1.0.1-i486-1
    libXrender-0.9.4-i486-1
    libXt-1.0.5-i486-1
    libxcb-1.0-i486-2
    utempter-1.1.4-i486-1
    xauth-1.0.3-i486-1
    xbitmaps-1.0.1-noarch-1
    xconsole-1.0.3-i486-1
    xeyes-1.0.1-i486-1
    xinit-1.0.8-i486-1
    xlogo-1.0.1-i486-1
    xterm-232-i486-1

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •